Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.db
Class JbpmSessionFactory

    java.lang.Object
      org.jbpm.db.JbpmSessionFactory

All Implemented Interfaces:
  java.io.Serializable

Deprecated. use `org.jbpm.tc.ContextBuilder` and `org.jbpm.tc.db.JbpmSessionContext` instead.

    public class JbpmSessionFactory

extends java.lang.Object
implements java.io.Serializable

creates JbpmSessions. Obtain a JbpmSessionFactory with

     static JbpmSessionFactory jbpmSessionFactory = JbpmSessionFactory.buildJbpmSessionFactory();

and store it somewhere static. It takes quite some time to create a DbSessionFactory, but you only have to do it once. After that, creating DbSession's is really fast.

See Also:
  Serialized Form

Constructor Summary
`JbpmSessionFactory(org.hibernate.cfg.Configuration configuration)` Deprecated.
`JbpmSessionFactory(org.hibernate.cfg.Configuration configuration, org.hibernate.SessionFactory sessionFactory)` Deprecated.

Method Summary
`static JbpmSessionFactory` | `buildJbpmSessionFactory()` Deprecated.
`static JbpmSessionFactory` | `buildJbpmSessionFactory(org.hibernate.cfg.Configuration configuration)` Deprecated.
`static JbpmSessionFactory` | `buildJbpmSessionFactory(java.lang.String configResource)` Deprecated.
`static org.hibernate.SessionFactory` | `buildSessionFactory(org.hibernate.cfg.Configuration configuration)` Deprecated.
`static org.hibernate.cfg.Configuration` | `createConfiguration()` Deprecated.
`static org.hibernate.cfg.Configuration` | `createConfiguration(java.lang.String configResource)` Deprecated.
`org.hibernate.cfg.Configuration` | `getConfiguration()` Deprecated.
`static JbpmSessionFactory` | `getInstance()` Deprecated. a singleton is kept in JbpmSessionFactory as a convenient central location.
`JbpmSchema` | `getJbpmSchema()` Deprecated.
`org.hibernate.SessionFactory` | `getSessionFactory()` Deprecated.
`boolean` | `isHibernatableWithLongId(java.lang.Class clazz)` Deprecated. checks if the given class is persistable with hibernate and has an id of type long.
`boolean` | `isHibernatableWithStringId(java.lang.Class clazz)` Deprecated. checks if the given class is persistable with hibernate and has an id of type string.
`JbpmSession` | `openJbpmSession()` Deprecated. obtains a jdbc connection as specified in the hibernate configurations and creates a DbSession with it.
`JbpmSession` | `openJbpmSession(java.sql.Connection jdbcConnection)` Deprecated. creates a DbSession around the given connection.
`JbpmSession` | `openJbpmSession(org.hibernate.Session session)` Deprecated.
`JbpmSession` | `openJbpmSessionAndBeginTransaction()` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JbpmSessionFactory

    public JbpmSessionFactory(org.hibernate.cfg.Configuration configuration)

  Deprecated.

### JbpmSessionFactory

    public JbpmSessionFactory(org.hibernate.cfg.Configuration configuration,
                              org.hibernate.SessionFactory sessionFactory)

  Deprecated.

Method Detail

### getInstance

    public static JbpmSessionFactory getInstance()

  Deprecated.
  a singleton is kept in JbpmSessionFactory as a convenient central location.

### buildJbpmSessionFactory

    public static JbpmSessionFactory buildJbpmSessionFactory()

  Deprecated.

### buildJbpmSessionFactory

    public static JbpmSessionFactory buildJbpmSessionFactory(java.lang.String configResource)

  Deprecated.

### buildJbpmSessionFactory

    public static JbpmSessionFactory buildJbpmSessionFactory(org.hibernate.cfg.Configuration configuration)

  Deprecated.

### createConfiguration

    public static org.hibernate.cfg.Configuration createConfiguration()

  Deprecated.

### createConfiguration

    public static org.hibernate.cfg.Configuration createConfiguration(java.lang.String configResource)

  Deprecated.

### buildSessionFactory

    public static org.hibernate.SessionFactory buildSessionFactory(org.hibernate.cfg.Configuration configuration)

  Deprecated.

### openJbpmSession

    public JbpmSession openJbpmSession()

  Deprecated.
  obtains a jdbc connection as specified in the hibernate configurations and creates a DbSession with it.

### openJbpmSession

    public JbpmSession openJbpmSession(java.sql.Connection jdbcConnection)

  Deprecated.
  creates a DbSession around the given connection. Note that you are responsible for closing the connection so closing the DbSession will not close the jdbc connection.

### openJbpmSession

    public JbpmSession openJbpmSession(org.hibernate.Session session)

  Deprecated.

### openJbpmSessionAndBeginTransaction

    public JbpmSession openJbpmSessionAndBeginTransaction()

  Deprecated.

### getSessionFactory

    public org.hibernate.SessionFactory getSessionFactory()

  Deprecated.

### getConfiguration

    public org.hibernate.cfg.Configuration getConfiguration()

  Deprecated.

### isHibernatableWithLongId

    public boolean isHibernatableWithLongId(java.lang.Class clazz)

  Deprecated.
  checks if the given class is persistable with hibernate and has an id of type long.

### isHibernatableWithStringId

    public boolean isHibernatableWithStringId(java.lang.Class clazz)

  Deprecated.
  checks if the given class is persistable with hibernate and has an id of type string.

### getJbpmSchema

    public JbpmSchema getJbpmSchema()

  Deprecated.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD